# $Id: 01_simple.t,v 1.1 2005/12/09 10:47:37 pythontech Exp $
use strict;
use Test::More tests => 3;

use PythonTech::UriMap;

my $map = PythonTech::UriMap->new(map => {
    'a:' => 'http://a.com/',
    'b:' => 'http://b.org/schema#',
});

is($map->map('a:c'), 'http://a.com/c', 'Simple mapping');
is($map->map('b:'), 'http://b.org/schema#', 'Exact match');
is($map->map('c:d'), 'c:d', 'unmatched');
